Review record reading
curl --request POST \
--url https://api.sortx.co.uk/front-desk/record-readings/{id}/review \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', item: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/front-desk/record-readings/{id}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/record-readings/{id}/review"
payload = {
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reading": {
"id": "<string>",
"kind": "duplicate-review",
"subjectId": "<string>",
"version": "<string>",
"state": "not_included",
"items": [
{
"key": "<string>",
"targetId": "<string>",
"title": "<string>",
"status": "<string>",
"note": "<string>",
"rank": 123,
"quote": "<string>",
"facts": [
"<string>"
],
"dimensions": [
{
"label": "<string>",
"quote": "<string>",
"state": "<string>"
}
]
}
],
"note": "<string>",
"canRetry": true,
"updatedAt": "<string>",
"reviews": [
{
"item": "<string>",
"action": "<string>",
"recordId": "<string>"
}
]
},
"taskId": "<string>",
"preview": {
"survivor": {
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressPostcode": "<string>",
"roles": [
"<string>"
],
"archivedAt": "<string>"
},
"absorbed": {
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressPostcode": "<string>",
"roles": [
"<string>"
],
"archivedAt": "<string>"
},
"allowed": true,
"refusals": [
{
"code": "same_record",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
],
"fields": [
{
"field": "<string>",
"label": "<string>",
"survivor": "<string>",
"absorbed": "<string>",
"outcome": "same"
}
],
"roles": [
"<string>"
],
"doNotContact": true,
"preferenceChanges": [
{
"channel": "<string>",
"purpose": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"moves": [
{
"family": "<string>",
"label": "<string>",
"count": 123
}
],
"history": [
{
"family": "<string>",
"label": "<string>",
"count": 123
}
],
"previewToken": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}front-desk
Review record reading
POST
/
front-desk
/
record-readings
/
{id}
/
review
Review record reading
curl --request POST \
--url https://api.sortx.co.uk/front-desk/record-readings/{id}/review \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', item: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/front-desk/record-readings/{id}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/record-readings/{id}/review"
payload = {
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reading": {
"id": "<string>",
"kind": "duplicate-review",
"subjectId": "<string>",
"version": "<string>",
"state": "not_included",
"items": [
{
"key": "<string>",
"targetId": "<string>",
"title": "<string>",
"status": "<string>",
"note": "<string>",
"rank": 123,
"quote": "<string>",
"facts": [
"<string>"
],
"dimensions": [
{
"label": "<string>",
"quote": "<string>",
"state": "<string>"
}
]
}
],
"note": "<string>",
"canRetry": true,
"updatedAt": "<string>",
"reviews": [
{
"item": "<string>",
"action": "<string>",
"recordId": "<string>"
}
]
},
"taskId": "<string>",
"preview": {
"survivor": {
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressPostcode": "<string>",
"roles": [
"<string>"
],
"archivedAt": "<string>"
},
"absorbed": {
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"email": "<string>",
"mobile": "<string>",
"addressPostcode": "<string>",
"roles": [
"<string>"
],
"archivedAt": "<string>"
},
"allowed": true,
"refusals": [
{
"code": "same_record",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
],
"fields": [
{
"field": "<string>",
"label": "<string>",
"survivor": "<string>",
"absorbed": "<string>",
"outcome": "same"
}
],
"roles": [
"<string>"
],
"doNotContact": true,
"preferenceChanges": [
{
"channel": "<string>",
"purpose": "<string>",
"from": "<string>",
"to": "<string>"
}
],
"moves": [
{
"family": "<string>",
"label": "<string>",
"count": 123
}
],
"history": [
{
"family": "<string>",
"label": "<string>",
"count": 123
}
],
"previewToken": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json